curl --request GET \
--url https://api.meetcampfire.com/coa/api/fixed-asset-automation/matches \
--header 'Authorization: <api-key>'{
"count": 123,
"results": [
{
"id": 123,
"rule": 123,
"rule_name": "<string>",
"rule_account_name": "<string>",
"rule_threshold": 0,
"rule_needs_review": true,
"transaction": 123,
"transaction_description": "<string>",
"transaction_date": "2023-12-25",
"transaction_amount": "<string>",
"proposed_name": "<string>",
"proposed_asset_class": 123,
"proposed_initial_value": 0,
"proposed_purchase_date": "2023-12-25",
"proposed_depreciation_start_date": "2023-12-25",
"created_asset": 123,
"created_at": "2023-11-07T05:31:56Z",
"proposed_salvage_value": 0,
"proposed_entity": 123,
"proposed_department": 123,
"proposed_vendor": 123
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}List pending asset matches for review. GET /api/fixed-asset-automation/matches
curl --request GET \
--url https://api.meetcampfire.com/coa/api/fixed-asset-automation/matches \
--header 'Authorization: <api-key>'{
"count": 123,
"results": [
{
"id": 123,
"rule": 123,
"rule_name": "<string>",
"rule_account_name": "<string>",
"rule_threshold": 0,
"rule_needs_review": true,
"transaction": 123,
"transaction_description": "<string>",
"transaction_date": "2023-12-25",
"transaction_amount": "<string>",
"proposed_name": "<string>",
"proposed_asset_class": 123,
"proposed_initial_value": 0,
"proposed_purchase_date": "2023-12-25",
"proposed_depreciation_start_date": "2023-12-25",
"created_asset": 123,
"created_at": "2023-11-07T05:31:56Z",
"proposed_salvage_value": 0,
"proposed_entity": 123,
"proposed_department": 123,
"proposed_vendor": 123
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Token-based authentication with required prefix "Token"
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
123
Show child attributes
-10000000000000 < x < 10000000000000250-1000000000000000000 < x < 1000000000000000000The asset created when this match was accepted
-1000000000000000000 < x < 1000000000000000000"http://api.example.org/accounts/?offset=400&limit=100"
"http://api.example.org/accounts/?offset=200&limit=100"